Bug 144617 - Firefox menu sizes inconsistency in KDE
Firefox menu sizes inconsistency in KDE
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-09 15:41 EST by Rahul Sundaram
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 19:12:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firefox in KDE exhibiting differences in menu sizes between Konqueror as a native KDE application and Firefox (92.64 KB, image/png)
2005-01-09 15:43 EST, Rahul Sundaram
no flags Details
Firefox in Gnome where the menu sizes are consistent in contrast to KDE (118.83 KB, image/png)
2005-01-09 15:44 EST, Rahul Sundaram
no flags Details

  None (edit)
Description Rahul Sundaram 2005-01-09 15:41:35 EST
Description of problem:

It seems that the menu sizes of typical KDE applications using QT is
different from that of Firefox. This presents a visual inconsistency
for the desktop as a whole

Originally seen in Fedora core 1, I believe this still would exist in
Fedora core 3. Since Firefox is the default browser for FC3 now it
would be important that KDE users find themselves with a consistent
interface on the whole


Version-Release number of selected component (if applicable):


How reproducible:

everytime
Steps to Reproduce:
1. Fireup firefox
2. open konqueror in KDE
3. Notice the difference in menu sizes
  
Actual results:

menu sizes are different

Expected results:

should be consistent and changing menu sizes in KDE should be also
change it for firefox

Additional info:

This inconsistency is not exhibited in Gnome. I suspect some good
integration bits with KDE would be necessary for changes in the
control panel to be reflected on firefox to have a native look and
feel. possibly a discussion in fd.o for standardising in this would be
useful. atleast the defaults can be setup to be coherent
Comment 1 Rahul Sundaram 2005-01-09 15:43:39 EST
Created attachment 109540 [details]
Firefox in KDE exhibiting differences in menu sizes between Konqueror as a native KDE application and Firefox
Comment 2 Rahul Sundaram 2005-01-09 15:44:36 EST
Created attachment 109541 [details]
Firefox in Gnome where the menu sizes are consistent in contrast to KDE
Comment 3 William H. Haller 2005-03-04 10:49:12 EST
Kludge step to fix:

1) Run the gnome control center and set the fonts you want for gnome
based applications. The actual font setting only needs to be done once.
2) Then at each login (or when you start KDE from the command line
with startx) fire up the gnome-control-center app. In a bit you'll see
it reset its displayed font to match your previous selection.
3) Select fonts if necessary to make it recognize the font you
previously selected.
4) Exit without making any changes

Firefox and Thunderbird will then have the right settings. I'm sure
there is a better way to accomplish this - certainly the gnome/KDE
integration should be handling this by itself - but that works for me.
Comment 4 Matthew Miller 2006-07-10 16:38:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Matěj Cepl 2007-06-09 19:12:06 EDT
Reporter, could you confirm please, that this bug still could be reproduced with
the updated release of the supported version of Fedora (FC5, FC6, or F7)?

If yes, please, reopen this bug with additional information how it is possible
to reproduce this bug.

In meantime, I have to close this bug as CANTFIX, because it is reported against
not longer supported distribution.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.